<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:frmwrk="Corel Framework Data" exclude-result-prefixes="frmwrk">
  <xsl:output method="xml" encoding="UTF-8" indent="yes"/>

  <frmwrk:uiconfig>
    <frmwrk:compositeNode xPath="/uiConfig/commandBars/commandBarData[@guid='7c905e2a-cb64-4ba1-aff0-c306f392680c']"/>
    <frmwrk:compositeNode xPath="/uiConfig/commandBars/commandBarData[@guid='74e03d83-404c-49f5-824a-fe0fd02ab29a']"/>
    <frmwrk:compositeNode xPath="/uiConfig/shortcutKeyTables/table[@tableID='bc175625-191c-4b95-9053-756e5eee26fe']"/>
    <frmwrk:compositeNode xPath="/uiConfig/frame"/>
  </frmwrk:uiconfig>

  <xsl:template match="node()|@*">
    <xsl:copy>
      <xsl:apply-templates select="node()|@*"/>
    </xsl:copy>
  </xsl:template>

  <xsl:template match="uiConfig/commandBars/commandBarData[@guid='74e03d83-404c-49f5-824a-fe0fd02ab29a']/toolbar">
    <xsl:copy>
      <xsl:apply-templates select="node()|@*"/>
      <modeData guid="4c09c866-b21f-4e04-9c35-e0dae7b4ad90">
        <item guidRef="bf9012b1-da00-ae84-4c97-b0bb84d50288"/> <!--height-->
        <item guidRef="0ea2a92d-7706-c190-4ab2-7d3e9c04b897"/> <!--distance-->
        <item guidRef="266435b4-6e53-460f-9fa7-f45be187d400"/> <!--separator-->
        <item guidRef="4090621f-1936-5aae-4101-ab6dafe418a6"/> <!--outline color-->
        <item guidRef="266435b4-6e53-460f-9fa7-f45be187d400"/> <!--separator-->
        <item guidRef="97e5c8b9-f7e2-453c-92a2-af7fb61e67b2"/> <!--outline width-->
        <item guidRef="266435b4-6e53-460f-9fa7-f45be187d400"/> <!--separator-->
        <item guidRef="76dd9e0c-e9c2-42b6-b8bb-f7717482164e"/> <!--start arrowhead-->
        <item guidRef="6bd00383-d132-4686-8a21-8d7052b6a81b"/> <!--line style-->
        <item guidRef="40cc3adc-498a-4256-a98a-d1210a4019f7"/> <!--end arrowhead-->
      </modeData>
    </xsl:copy>
  </xsl:template>

  <xsl:template match="uiConfig/commandBars/commandBarData[@guid='7c905e2a-cb64-4ba1-aff0-c306f392680c']/toolbar/item[@guidRef='af052244-1121-4a82-b0d2-194106db742a']">
    <xsl:copy-of select="."/>
    <item guidRef="1c3ad59d-a013-4992-a24f-36ea43555a85"/>
  </xsl:template>

</xsl:stylesheet>